Skip to main content
POST
/
v1
/
audio
/
transcriptions
Openai Audio Transcriptions
curl --request POST \
  --url https://api.example.com/v1/audio/transcriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'model=<string>' \
  --form 'language=<string>' \
  --form 'prompt=<string>' \
  --form response_format=json \
  --form temperature=0 \
  --form timestamp_granularities=segment
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-deepinfra-source
string | null
xi-api-key
string | null

Body

multipart/form-data
file
file
required
model
string
required
language
string | null
prompt
string | null
response_format
enum<string> | null
default:json
Available options:
json,
verbose_json,
text,
srt,
vtt
temperature
number | null
default:0
timestamp_granularities
enum<string>[] | null
Available options:
segment,
word

Response

Successful Response